Index: code/branches/Merge_HS18/data/levels/TixyTaxyTorxy.oxw
===================================================================
--- code/branches/Merge_HS18/data/levels/TixyTaxyTorxy.oxw	(revision 12179)
+++ code/branches/Merge_HS18/data/levels/TixyTaxyTorxy.oxw	(revision 12179)
@@ -0,0 +1,270 @@
+<!-- TODO: Update the level's image-->
+
+<!-- See TixyTaxyTorxyReadme.txt for Information on this file -->
+
+<LevelInfo
+ name = "TixyToxyTorxy"
+ description = "Defend your Spacestation from incoming waves."
+ tags = "minigame"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("TixyTaxyTorxyHUD.oxo")
+  include("templates/lodInformation.oxt")
+  include("includes/weaponSettingsTurret.oxi")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/standardTurret.oxt")
+?>
+
+<Template name=selectercameras defaults=0>
+  <TixyTaxyTorxySelecter>
+    <camerapositions>
+      <CameraPosition position="0,0,2000" lookat="0,0,0" absolute=false drag=true mouselook=true/>
+    </camerapositions>
+  </TixyTaxyTorxySelecter>
+</Template>
+
+<Template name=selectertemplate>
+  <TixyTaxyTorxySelecter team=0 camerapositiontemplate=selectercameras>
+    <attached>
+      <Model position="0,0,0" pitch=90 mesh="TD_Selection.mesh" scale=25/>
+    </attached>
+  </TixyTaxyTorxySelecter>
+</Template>
+
+<Template name=tower1template>
+  <TixyTaxyTorxyTower
+  explosionchunks=6
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <HsW01 mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=1 material="Flares/point_lensflare" delay=0/>
+        </Weapon>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+    </munition>
+  </TixyTaxyTorxyTower>
+</Template>
+
+<Template name=tower2template>
+  <TixyTaxyTorxyTower
+  explosionchunks=6
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>          
+          <LightningGun mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 />
+        </Weapon>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <LightningMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
+    <attached>
+      <Backlight position="0,0,0" scale=2.0 colour="0.4, 0.0, 1.0" width=10 length=10 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
+    </attached>    
+  </TixyTaxyTorxyTower>
+</Template>
+
+<Template name=tower3template>
+  <TixyTaxyTorxyTower
+  explosionchunks=6
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <SplitGun mode=0 munitionpershot=0 damage=9.3 muzzleoffset=" 1.6, 1.3, -2.0" splittime=0.2 numberofsplits=2 numberofchilds=5 spread=0.1 damagereduction=3.0 />
+        </Weapon>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <SplitMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
+  </TixyTaxyTorxyTower>
+</Template>
+
+<Template name=tower4template>
+  <TixyTaxyTorxyTower
+  explosionchunks=6
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <RocketFire mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 fuel=10/>  
+        </Weapon>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <RocketMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
+      <attached>
+      <ParticleSpawner position="0,0,0" source="Orxonox/sparks" lifetime=3.0 autostart=1 loop=1 />
+    </attached>
+  </TixyTaxyTorxyTower>
+</Template>
+
+<Level plugins = "TixyTaxyTorxy" gametype = "TixyTaxyTorxy">
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+
+    <SpawnPoint team=0 position="0,0,0"/> 
+
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S1.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S2.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S3.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S4.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S5.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T1.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T2.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T3.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T4.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T5.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_F1.mesh" scale=1/>
+
+    <!-- PlayField -->
+    <TixyTaxyTorxyCenterpoint
+    name=TixyTaxyTorxycenter
+    selecterTemplate=selectertemplate
+    tower1Template=tower1template
+    tower2Template=tower2template
+    tower3Template=tower3template
+    tower4Template=tower4template
+    tower5Template=tower5template
+    tower1Cost=0
+    tower2Cost=0
+    tower3Cost=0
+    tower4Cost=0
+    tower5Cost=0
+    fields="
+            F1F1F1O1F1F1F1O1F1F1F1
+            F1F1F1O1F1F1F1O1F1F1F1
+            F1F1F1O1F1F1F1O1F1F1F1
+            O1O1O1O1O1O1O1O1O1O1O1
+            F1F1F1O1F1F1F1O1F1F1F1
+            F1F1F1O1F1F1F1O1F1F1F1
+            F1F1F1O1F1F1F1O1F1F1F1
+            O1O1O1O1O1O1O1O1O1O1O1
+            F1F1F1O1F1F1F1O1F1F1F1
+            F1F1F1O1F1F1F1O1F1F1F1
+            F1F1F1O1F1F1F1O1F1F1F1
+            "
+    width=11
+    height=11
+    tileScale=100
+    position="0,0,0"
+    direction="0,0,0"
+    collisionType=dynamic
+    mass=100000
+    />
+
+  </Scene>
+</Level>
+
Index: code/branches/Merge_HS18/data/overlays/TixyTaxyTorxyHUD.oxo
===================================================================
--- code/branches/Merge_HS18/data/overlays/TixyTaxyTorxyHUD.oxo	(revision 12179)
+++ code/branches/Merge_HS18/data/overlays/TixyTaxyTorxyHUD.oxo	(revision 12179)
@@ -0,0 +1,82 @@
+<Template name="TixyTaxyTorxyHUD">
+
+
+  <OverlayGroup name="TixyTaxyTorxyHUD" scale = "1, 1">
+  
+  
+    <OverlayText
+     position  = "0.83, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     caption = "Cash:"
+    />
+    
+    
+     <TixyTaxyTorxyHUDController
+     position  = "0.88, 0.10"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     showlives = false
+     showcredits = false
+     showwaves = false
+    />
+    
+        <OverlayText
+     position  = "0.83, 0.22"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     caption = "Round:"
+    />
+    
+         <TixyTaxyTorxyHUDController
+     position  = "0.88, 0.27"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     showlives = true
+     showcredits = false
+     showwaves = false
+    />
+    
+            <OverlayText
+     position  = "0.83, 0.39"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     caption = "Player:"
+    />
+    
+         <TixyTaxyTorxyHUDController
+     position  = "0.88, 0.44"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     showlives = false
+     showcredits = false
+     showwaves = true
+
+    />
+    
+    
+  </OverlayGroup>
+</Template>
+
+