Index: code/branches/Merge_HS18/data/levels/towerDefense.oxw
===================================================================
--- code/branches/Merge_HS18/data/levels/towerDefense.oxw	(revision 12178)
+++ code/branches/Merge_HS18/data/levels/towerDefense.oxw	(revision 12182)
@@ -23,5 +23,5 @@
   <TowerDefenseSelecter>
     <camerapositions>
-      <CameraPosition position="0,0,1300" lookat="0,0,0" absolute=true drag=true mouselook=true/>
+      <CameraPosition position="-50,-1300,1000" lookat="-50,0,-400" absolute=true drag=true mouselook=true/>
     </camerapositions>
   </TowerDefenseSelecter>
@@ -250,4 +250,214 @@
    explosionchunks        = 6
 
+   health            = 100
+   maxhealth         = 10000000000000
+   initialhealth     = 100
+
+   shieldhealth        = 1000
+   initialshieldhealth = 1000
+   maxshieldhealth     = 10000000000000
+   shieldabsorption    = 0.8
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+    <engines>
+      <Engine position=" 0, 0, 0" 
+        boostfactor    = 2
+        speedfront     = 400
+        speedback      =  50
+        speedleftright =  50
+        speedupdown    =  50        
+        accelerationfront     = 500
+        accelerationbrake     = 500
+        accelerationback      =  125
+        accelerationleftright =  125
+        accelerationupdown    =  125
+      />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=10 mesh="finalenemy1.mesh" /> 
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes> 
+    </TowerDefenseEnemy>
+</Template>
+
+<Template name=enemytowerdefense2>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 40
+   maxhealth         = 10000000000000
+   initialhealth     = 30
+
+   shieldhealth        = 0
+   initialshieldhealth = 0
+   maxshieldhealth     = 0
+   shieldabsorption    = 0.8
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+    <engines>
+      <Engine position=" 0, 0, 0" 
+        boostfactor    = 2
+        speedfront     = 100
+        speedback      =  50
+        speedleftright =  50
+        speedupdown    =  50        
+        accelerationfront     = 500
+        accelerationbrake     = 500
+        accelerationback      =  125
+        accelerationleftright =  125
+        accelerationupdown    =  125
+      />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=7.5 mesh="finalenemy2.mesh" /> 
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes> 
+    </TowerDefenseEnemy>
+</Template>
+
+<Template name=enemytowerdefense3>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 50
+   maxhealth         = 10000000000000
+   initialhealth     = 50
+
+   shieldhealth        = 20
+   initialshieldhealth = 20
+   maxshieldhealth     = 10000000000000
+   shieldabsorption    = 0.8
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+    <engines>
+      <Engine position=" 0, 0, 0" 
+        boostfactor    = 2
+        speedfront     = 100
+        speedback      =  50
+        speedleftright =  50
+        speedupdown    =  50        
+        accelerationfront     = 500
+        accelerationbrake     = 500
+        accelerationback      =  125
+        accelerationleftright =  125
+        accelerationupdown    =  125
+      />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=19 mesh="finalenemy3.mesh" /> 
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes> 
+   </TowerDefenseEnemy>
+</Template>
+
+<Template name=enemytowerdefense1*>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
    health            = 15
    maxhealth         = 15
@@ -307,5 +517,5 @@
 </Template>
 
-<Template name=enemytowerdefense2>
+<Template name=enemytowerdefense2*>
   <TowerDefenseEnemy
    hudtemplate            = spaceshiphud
@@ -364,5 +574,5 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=2.5 mesh="JumpEnemy3.mesh" />
+      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=9 mesh="finalenemy4.mesh" /> 
     </attached>
     <collisionShapes>
@@ -380,5 +590,5 @@
 </Template>
 
-<Template name=enemytowerdefense3>
+<Template name=enemytowerdefense3*>
   <TowerDefenseEnemy
    hudtemplate            = spaceshiphud
@@ -437,5 +647,5 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=2.5 mesh="JumpEnemy4.mesh" />
+      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=2.5 mesh="JumpEnemy4.mesh" /> 
     </attached>
     <collisionShapes>
@@ -452,4 +662,13 @@
   </TowerDefenseEnemy>
 </Template>
+
+<Template name=therangeviewer>
+  <TowerDefenseRangeViewer>
+      <attached>
+        <Model yaw=0 pitch=0 roll=0 scale3D="1000,1000,10" mesh="cylinder.mesh" /> 
+      </attached>
+    </TowerDefenseRangeViewer>
+</Template>
+
 
 <Level plugins = "towerdefense" gametype = "TowerDefense">
@@ -495,20 +714,20 @@
     tower4Cost=100
     tower5Cost=100
-    fields="F1F1F1R1I1I1I1I1O1F1F1F1F1F1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1Y1Y1Y1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1Y1Y1Y1F1F1
-            F1F1F1R2I3I3I3I3L3F1F1F1F1F1F1F1
-            F1F1F1F1F1F1F1F1I2F1F1F1F1F1F1F1
-            F1F1F1F1F1F1F1F1I2F1F1F1F1F1F1F1
-            X1I1I1I1R0F1F1F1I2F1F1F1F1F1F1F1
-            F1F1F1F1I0F1F1F1I2F1F1F1F1F1F1F1
-            F1F1F1F1I0F1F1F1I2F1F1F1F1F1F1F1
-            F1F1F1F1L1I1I1I1L2F1F1F1F1F1F1F1
-            F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
-            F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
-            F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1"
+    fields="F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
+	        F1F1F1R1I1I1I1I1I1I1I1I1I1I1R0F1
+            F1F1F1I2F1F1F1Y1F1F1F1F1F1F1I0F1
+            F1Y1F1I2F1F1F1F1F1F1F1F1Y1F1I0F1
+            F1F1F1I2F1F1F1F1F1F1F1F1F1F1I0F1
+            F1F1F1I2F1Y1F1F1F1F1F1L0I3I3R3F1
+            F1F1F1I2F1F1F1F1F1F1F1I0F1F1F1F1
+            F1F1F1R2I3I3I3I3L3F1F1I0F1F1Y1F1
+            F1F1F1F1F1F1F1F1I2F1F1I0F1F1F1F1
+            F1F1F1F1F1F1F1F1I2F1F1I0F1F1F1F1
+            X1I1I1I1R0F1Y1F1I2F1F1I0F1F1F1F1
+            F1F1F1F1I0F1F1F1I2F1F1L1I1I1R0F1
+            F1F1F1F1I0F1F1F1I2F1F1F1F1F1I0F1
+            F1F1F1F1L1I1I1I1L2F1F1F1F1Y1I0F1
+            F1F1Y1F1F1F1F1F1F1F1F1F1F1F1I0F1
+            F1F1F1F1F1F1F1F1F1Y1F1F1F1F1O0F1"
     width=16
     height=16
@@ -520,5 +739,5 @@
     >
       <camerapositions>
-        <CameraPosition position="0,0,1400" lookat="0,0,0" absolute=true />
+        <CameraPosition position="0,0,1500" lookat="0,0,0" absolute=true />
       </camerapositions>    
     </TowerDefenseCenterpoint>