Index: data/data_extern/materials/Wagnis.material
===================================================================
--- data/data_extern/materials/Wagnis.material	(revision 12187)
+++ data/data_extern/materials/Wagnis.material	(revision 12187)
@@ -0,0 +1,40 @@
+material Wagnis/Background
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_write off
+			scene_blend add
+			
+
+			texture_unit
+			{
+				texture smokesmall.png
+			}
+		}
+	}
+}
+
+material Wagnis/Arrow
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_write off
+			scene_blend add
+			
+
+			texture_unit
+			{
+				texture WagnisArrow.png
+			}
+		}
+	}
+}
+
+
+
Index: data/data_extern/materials/base_mat1.material
===================================================================
--- data/data_extern/materials/base_mat1.material	(revision 12187)
+++ data/data_extern/materials/base_mat1.material	(revision 12187)
@@ -0,0 +1,42 @@
+// base_mat1 genrated by blender2ogre 0.6.0
+
+material base_mat1 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass base_mat1
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture basetur_tex.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/data_extern/materials/cpipe.material
===================================================================
--- data/data_extern/materials/cpipe.material	(revision 12187)
+++ data/data_extern/materials/cpipe.material	(revision 12187)
@@ -0,0 +1,42 @@
+// pipe2 genrated by blender2ogre 0.6.0
+
+material pipe2 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass pipe2
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture cpipe.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/data_extern/materials/finalenemy1.material
===================================================================
--- data/data_extern/materials/finalenemy1.material	(revision 12187)
+++ data/data_extern/materials/finalenemy1.material	(revision 12187)
@@ -0,0 +1,42 @@
+// finalenemy1 genrated by blender2ogre 0.6.0
+
+material finalenemy1 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass finalenemy1
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture finalenemy1.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/data_extern/materials/finalenemy2.material
===================================================================
--- data/data_extern/materials/finalenemy2.material	(revision 12187)
+++ data/data_extern/materials/finalenemy2.material	(revision 12187)
@@ -0,0 +1,42 @@
+// finalenemy2 genrated by blender2ogre 0.6.0
+
+material finalenemy2 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass finalenemy2
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture finalenemy2.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/data_extern/materials/finalenemy3.material
===================================================================
--- data/data_extern/materials/finalenemy3.material	(revision 12187)
+++ data/data_extern/materials/finalenemy3.material	(revision 12187)
@@ -0,0 +1,42 @@
+// finalenemy3 genrated by blender2ogre 0.6.0
+
+material finalenemy3 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass finalenemy3
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture finalenemy3.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/data_extern/materials/headtur.material
===================================================================
--- data/data_extern/materials/headtur.material	(revision 12187)
+++ data/data_extern/materials/headtur.material	(revision 12187)
@@ -0,0 +1,42 @@
+// headtur genrated by blender2ogre 0.6.0
+
+material headtur 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass headtur
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture dirty-metal-texture-12.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/data_extern/materials/pcactus.material
===================================================================
--- data/data_extern/materials/pcactus.material	(revision 12187)
+++ data/data_extern/materials/pcactus.material	(revision 12187)
@@ -0,0 +1,42 @@
+// pcactus genrated by blender2ogre 0.6.0
+
+material pcactus 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass pcactus
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture pcactus.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}