Index: code/branches/mergeFS18/data/levels/OrxoKart1.oxw
===================================================================
--- code/branches/mergeFS18/data/levels/OrxoKart1.oxw	(revision 12194)
+++ code/branches/mergeFS18/data/levels/OrxoKart1.oxw	(revision 12194)
@@ -0,0 +1,81 @@
+<LevelInfo
+ name = "OrxoKart Level 1"
+ description = "Level 1 of Minigame OrxoKart"
+ tags = "minigame"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/OrxoKartKart.oxt")
+  include("overlays/OrxoKartHUD.oxo")
+?>
+
+<?lua
+--number of tiles
+N = 11
+--scaling factor
+S = 80
+--level
+L = 1
+
+MAP_ORIGIN = "0,0,0"
+?>
+
+<Level
+plugins = orxokart
+gametype = OrxoKart
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+    gravity      = "0, -200, 0"
+  >
+
+    <StaticEntity position="0,0,0" collisionType="static">
+      <attached>
+        <!-- Floor Physique and Design -->
+        <OrxoKartOrigin
+          numCells="<?lua print(N)?>"
+          cellSize="<?lua print(S)?>"
+          level="<?lua print(L)?>"
+        />
+      </attached> 
+
+      <collisionShapes>
+        
+        
+        <!-- in case of additional collisionShapes besides the floor -->
+      </collisionShapes>
+
+    </StaticEntity>
+    <Light
+      type=directional
+      position="-50,500,-50"
+      direction="0.577, -0.577, 0.577"
+      diffuse="1.0, 0.9, 0.9, 1.0"
+      specular="1.0, 0.9, 0.9, 1.0"
+    />
+    <!-- 19 -->
+    <SpawnPoint
+      team=0
+
+      position="<?lua print(S*0)?>,40,<?lua print(8.5*S)?>"
+      lookat="0,40,0"
+      spawnclass=OrxoKartKart
+      pawndesign=OrxoKartKart
+    />
+    
+  </Scene>
+</Level>
+
Index: code/branches/mergeFS18/data/levels/OrxoKart2.oxw
===================================================================
--- code/branches/mergeFS18/data/levels/OrxoKart2.oxw	(revision 12194)
+++ code/branches/mergeFS18/data/levels/OrxoKart2.oxw	(revision 12194)
@@ -0,0 +1,77 @@
+<LevelInfo
+ name = "OrxoKart Level 2"
+ description = "Level 2 of Minigame OrxoKart"
+ tags = "minigame"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/OrxoKartKart.oxt")
+  include("overlays/OrxoKartHUD.oxo")
+?>
+
+<?lua
+--number of tiles
+N = 25
+--scaling factor
+S = 80
+--level
+L = 2
+
+MAP_ORIGIN = "0,0,0"
+?>
+
+<Level
+plugins = orxokart
+gametype = OrxoKart
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+    gravity      = "0, -200, 0"
+  >
+
+    <StaticEntity position="0,0,0" collisionType="static">
+      <attached>
+        <!-- Floor Physique and Design -->
+        <OrxoKartOrigin
+          numCells="<?lua print(N)?>"
+          cellSize="<?lua print(S)?>"
+          level="<?lua print(L)?>"
+        />
+      </attached> 
+
+      <collisionShapes>
+        <!-- in case of additional collisionShapes besides the floor -->
+      </collisionShapes>
+
+    </StaticEntity>
+    <Light
+      type=directional
+      position="-50,500,-50"
+      direction="0.577, -0.577, 0.577"
+      diffuse="1.0, 0.9, 0.9, 1.0"
+      specular="1.0, 0.9, 0.9, 1.0"
+    />
+    <SpawnPoint
+      team=0
+
+      position="<?lua print(S*0)?>,40,<?lua print(18.5*S)?>"
+      lookat="0,40,0"
+      spawnclass=OrxoKartKart
+      pawndesign=OrxoKartKart
+    />
+    
+  </Scene>
+</Level>
Index: code/branches/mergeFS18/data/levels/includes/weaponSettingsHover.oxi
===================================================================
--- code/branches/mergeFS18/data/levels/includes/weaponSettingsHover.oxi	(revision 12191)
+++ code/branches/mergeFS18/data/levels/includes/weaponSettingsHover.oxi	(revision 12194)
@@ -7,5 +7,5 @@
   <WeaponSet firemode=1 />
 </weaponsets>
-<weaponpacks>
+<!--<weaponpacks>
   <WeaponPack>
     <links>
@@ -25,5 +25,5 @@
     </links>
   </WeaponPack>
-</weaponpacks>  
+</weaponpacks> --> 
 <munition>
   <IceMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
Index: code/branches/mergeFS18/data/levels/kart_alpha0.1.oxw
===================================================================
--- code/branches/mergeFS18/data/levels/kart_alpha0.1.oxw	(revision 12194)
+++ code/branches/mergeFS18/data/levels/kart_alpha0.1.oxw	(revision 12194)
@@ -0,0 +1,83 @@
+<LevelInfo
+ name = "kart_controlls"
+ description = "Level for Minigame Hover"
+ tags = "minigame"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipHover.oxt")
+  include("overlays/HoverHUD.oxo")
+?>
+
+<?lua
+MAZE_NUM_CELLS = 10
+MAZE_CELL_SIZE = 100
+MAZE_CELL_HEIGHT = 30
+MAZE_SIZE = MAZE_NUM_CELLS*MAZE_CELL_SIZE
+?>
+
+<Level
+plugins = hover
+gametype = Hover
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+    gravity      = "0, -200, 0"
+  >
+
+    <StaticEntity position="0,0,0" collisionType="static">
+      <attached>
+        <HoverOrigin
+          numCells="<?lua print(MAZE_NUM_CELLS)?>"
+          cellSize="<?lua print(MAZE_CELL_SIZE)?>"
+          cellHeight="<?lua print(MAZE_CELL_HEIGHT)?>"
+        />
+        <Model
+          position="<?lua print(MAZE_SIZE/2)?>,-16,<?lua print(MAZE_SIZE/2)?>"
+          scale3D="<?lua print(MAZE_SIZE/2)?>,16,<?lua print(MAZE_SIZE/2)?>"
+          mesh="CubeGround.mesh"
+        />
+      </attached> 
+      <collisionShapes>
+        
+        <BoxCollisionShape
+          position="<?lua print(MAZE_SIZE/2)?>,-1,<?lua print(MAZE_SIZE/2)?>"
+          halfExtents="<?lua print(MAZE_SIZE/2)?>,1,<?lua print(MAZE_SIZE/2)?>"
+        />
+      </collisionShapes>
+    </StaticEntity>
+
+    <Light
+      type=directional
+      position="-50,500,-50"
+      direction="0.577, -0.577, 0.577"
+      diffuse="1.0, 0.9, 0.9, 1.0"
+      specular="1.0, 0.9, 0.9, 1.0"
+    />
+    
+    <SpawnPoint
+      team=0
+      position="50,20,50"
+      lookat="100,20,100"
+      spawnclass=HoverShip
+      pawndesign=spaceshiphover
+    />
+    
+  </Scene>
+</Level>
+
Index: code/branches/mergeFS18/data/levels/templates/OrxoKartKart.oxt
===================================================================
--- code/branches/mergeFS18/data/levels/templates/OrxoKartKart.oxt	(revision 12194)
+++ code/branches/mergeFS18/data/levels/templates/OrxoKartKart.oxt	(revision 12194)
@@ -0,0 +1,101 @@
+
+<Template name=OrxoKartKart>
+  <SpaceShip
+   hudtemplate            = spaceshiporxokarthud
+   camerapositiontemplate = spaceshipcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   shieldhealth        = 25
+   initialshieldhealth = 25
+   maxshieldhealth     = 40
+   shieldabsorption    = 0.6
+   reloadrate          = 2
+   reloadwaittime      = 0.5
+
+   primaryThrust     = 600
+   auxilaryThrust    = 300
+   rotationThrust    = 50
+   lift = 1;
+   stallSpeed = 500;
+
+   boostPower            = 10
+   boostPowerRate        = 1000
+   boostRate             = 1
+   boostCooldownDuration = 1
+
+   collisionType     = "dynamic"
+   mass              = 2000
+   linearDamping     = 0.5
+   angularDamping    = 0.99999
+  >
+    <engines>
+      <MultiStateEngine position=" 0, 0, 0" template=spaceshipengine />
+    </engines>
+    <attached>
+      <Model position="0,0,-20" mesh="hovership_body.mesh" scale="5" yaw=180/>	
+      <Model position="0,0,-20" mesh="hovership_engine.mesh" scale="5" yaw=180/>	      
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,-2 ,7" halfExtents="7, 4 ,30" />
+    </collisionShapes>
+    <explosion>
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" scale=2 />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart mesh="explosionparts/pirate_part_1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/pirate_part_2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/pirate_part_3.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/pirate_part_4.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+  </SpaceShip>
+</Template>
+ 
+<Template name=spaceshipcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,8, 5" drag=True mouselook=False />
+      <CameraPosition position="0,8,5" yaw="180" drag=True mouselook=False />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipengine baseclass=Engine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     =  300
+   speedback      =  40
+   speedleftright =  300
+   speedupdown    =  40
+
+   accelerationfront     = 300
+   accelerationbrake     = 300
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.02 position=" 1.3, 0, 15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.02 position=" 0, 0, 15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.02 position="-1.3, 0, 15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.8 name=bltest position=" 0, 0,  40" colour="1.0, 0.65, 0.2, 1.0" width=10 length=800 lifetime=1 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+     
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.8 name=bltest position="  0, 0, 40" colour="1.0, 0.65, 0.2, 1.0" width=10 length=1600 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.5 position=" 0, 0, 40" colour="0.8, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      
+    </EffectContainer>
+  </MultiStateEngine>
+</Template>