Index: /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw
===================================================================
--- /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12215)
+++ /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12215)
@@ -0,0 +1,118 @@
+<LevelInfo
+ name = "Orxoblox"
+ description = "A clone version of the BBTAN game."
+ tags = "minigame"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+   
+
+
+
+   <SpaceShip position="1000,-75,1" lookat="0,0,0">
+      <templates>
+        <Template link=spaceshipswallow />
+      </templates>
+      <controller>
+        <WaypointController team=10 accuracy=200>
+          <waypoints>
+            <Model mesh="cube.mesh" scale=0 position="1000,-75,0" />
+            <Model mesh="cube.mesh" scale=0 position="650,-75,650" />
+            <Model mesh="cube.mesh" scale=0 position="-55,-75,1000" />
+            <Model mesh="cube.mesh" scale=0 position="-700,-75,650" />
+            <Model mesh="cube.mesh" scale=0 position="-1000,-75,0" />
+            <Model mesh="cube.mesh" scale=0 position="-700,-75,-650" />
+            <Model mesh="cube.mesh" scale=0 position="-55,-75,-1000" />
+            <Model mesh="cube.mesh" scale=0 position="650,-75,-650" />
+          </waypoints>
+        </WaypointController>
+      </controller>
+    </SpaceShip>
+    
+   <SpaceShip position="-500,-500,-400" lookat="0,0,0">
+      <templates>
+        <Template link=spaceshippirate />
+      </templates>
+      <controller>
+        <WaypointController team=10>
+          <waypoints>
+            <Model mesh="cube.mesh" scale=0 position="-1000,-200,0" />
+            <Model mesh="cube.mesh" scale=0 position="-700,-150,650" />
+            <Model mesh="cube.mesh" scale=0 position="-55,-75,1000" />
+            <Model mesh="cube.mesh" scale=0 position="650,100,650" />          
+            <Model mesh="cube.mesh" scale=0 position="1000,150,0" />
+            <Model mesh="cube.mesh" scale=0 position="650,100,-650" />
+            <Model mesh="cube.mesh" scale=0 position="-55,0,-1000" />
+            <Model mesh="cube.mesh" scale=0 position="-700,-100,-650" />
+          </waypoints>
+        </WaypointController>
+      </controller>
+    </SpaceShip>
+    
+       <SpaceShip position="-700,200,651" lookat="1,0,0">
+      <templates>
+        <Template link=spaceshipghost />
+      </templates>
+      <controller>
+        <WaypointController team=10 accuracy=300>
+          <waypoints>
+            <Model mesh="cube.mesh" scale=0 position="-700,200,650" />
+            <Model mesh="cube.mesh" scale=0 position="-55,100,1000" />
+            <Model mesh="cube.mesh" scale=0 position="650,0,650" />          
+            <Model mesh="cube.mesh" scale=0 position="1000,-100,0" />
+            <Model mesh="cube.mesh" scale=0 position="650,0,-650" />
+            <Model mesh="cube.mesh" scale=0 position="-55,100,-1000" />
+            <Model mesh="cube.mesh" scale=0 position="-700,200,-650" />
+            <Model mesh="cube.mesh" scale=0 position="-1000,300,0" />
+          </waypoints>
+        </WaypointController>
+      </controller>
+    </SpaceShip>
+    
+    <SpaceShip position="1000,-75,0" lookat="0,0,0">
+      <templates>
+        <Template link=spaceshipHtwo />
+      </templates>
+      <controller>
+        <WaypointController team=10>
+          <waypoints>
+            <Model mesh="cube.mesh" scale=0 position="400,240,400" />
+            <Model mesh="cube.mesh" scale=0 position="-55,240,700" />
+            <Model mesh="cube.mesh" scale=0 position="-500,240,400" />
+            <Model mesh="cube.mesh" scale=0 position="-700,240,0" />
+            <Model mesh="cube.mesh" scale=0 position="-500,240,-400" />
+            <Model mesh="cube.mesh" scale=0 position="-55,240,-700" />
+            <Model mesh="cube.mesh" scale=0 position="400,240,-400" />
+            <Model mesh="cube.mesh" scale=0 position="700,240,0" />
+          </waypoints>
+        </WaypointController>
+      </controller>
+    </SpaceShip>
+
+     
+  </Scene>
+</Level>
+