Index: /code/branches/Boxhead_FS19/data/defaultConfig/keybindings.ini
===================================================================
--- /code/branches/Boxhead_FS19/data/defaultConfig/keybindings.ini	(revision 12215)
+++ /code/branches/Boxhead_FS19/data/defaultConfig/keybindings.ini	(revision 12216)
@@ -167,5 +167,5 @@
 XNeg="scale 1 rotateYaw"
 XPos="scale -1 rotateYaw"
-YNeg="scale -1 rotatePitch"
-YPos="scale 1 rotatePitch"
+YNeg=
+YPos=
 
Index: /code/branches/Boxhead_FS19/data/levels/Hover.oxw
===================================================================
--- /code/branches/Boxhead_FS19/data/levels/Hover.oxw	(revision 12215)
+++ /code/branches/Boxhead_FS19/data/levels/Hover.oxw	(revision 12216)
@@ -1,2 +1,26 @@
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
+
+?>
+
+
+
+<?lua
+  include("HUDTemplates3.oxo")
+  include("templates/spaceshipSwallow.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipEscort.oxt")
+  include("templates/spaceshipGhost.oxt")
+  include("templates/spaceshipCollateralDamage.oxt")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipAssff2.oxt")
+  include("templates/spaceshipTransporter.oxt")
+
+
+?>
+
 <LevelInfo
  name = "Hover level"
@@ -28,4 +52,5 @@
 plugins = hover
 gametype = Hover
+
 >
   <templates>
@@ -80,4 +105,20 @@
       pawndesign=spaceshiphover
     />
+
+    <SpaceShip position="100,20,100" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="200" >
+                                    <templates>
+                                            <Template link=spaceshipghost />
+                                      </templates>
+                                       <controller>
+                                          <WaypointPatrolController alertnessradius=2000 team=1 >
+                                             <waypoints>
+                                              <Model mesh="cube.mesh" scale=0 position="15500,15500,15500" />
+
+                                              </waypoints>
+                                          
+                                          </WaypointPatrolController>
+
+                                       </controller>
+                                  </SpaceShip>
     
   </Scene>
Index: /code/branches/Boxhead_FS19/data/levels/templates/spaceshipGhost.oxt
===================================================================
--- /code/branches/Boxhead_FS19/data/levels/templates/spaceshipGhost.oxt	(revision 12215)
+++ /code/branches/Boxhead_FS19/data/levels/templates/spaceshipGhost.oxt	(revision 12216)
@@ -23,5 +23,5 @@
 
    lift = 1;
-   stallSpeed = 220;
+   stallSpeed = 100;
 
    boostPower            = 30
@@ -45,10 +45,5 @@
     </attached>
     <collisionShapes>
-      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
-      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
-      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+      <BoxCollisionShape position="0,-2 ,7" halfExtents="7, 4 ,30" />
     </collisionShapes>
     <explosion >
@@ -64,5 +59,5 @@
     </explosion>
 <?lua
-  include("../includes/weaponSettingsGhost.oxi")
+  include("../includes/weaponSettingsHover.oxi")
 ?>
   </SpaceShip>
@@ -83,8 +78,8 @@
    boostfactor    = 2
 
-   speedfront     = 600
+   speedfront     =  25
    speedback      =  50
    speedleftright =  50
-   speedupdown    =  50
+   speedupdown    =  0
 
    accelerationfront     = 1000
Index: /code/branches/Boxhead_FS19/data/levels/templates/spaceshipHover.oxt
===================================================================
--- /code/branches/Boxhead_FS19/data/levels/templates/spaceshipHover.oxt	(revision 12215)
+++ /code/branches/Boxhead_FS19/data/levels/templates/spaceshipHover.oxt	(revision 12216)
@@ -27,5 +27,5 @@
    stallSpeed = 220;
 
-   boostPower            = 10
+   boostPower            = 30
    boostPowerRate        = 1
    boostRate             = 5
@@ -61,5 +61,5 @@
 
 <?lua
-  include("../includes/weaponSettingsHover.oxi")
+  include("../includes/weaponSettingsHeartAttack.oxi")
 ?>
   </SpaceShip>
@@ -79,14 +79,14 @@
    boostfactor    = 2
 
-   speedfront     = 90
-   speedback      =  40
-   speedleftright =  40
-   speedupdown    =  40
+   speedfront     =   90
+   speedback      =   90
+   speedleftright =   90
+   speedupdown    =   0
 
-   accelerationfront     = 500
-   accelerationbrake     = 500
-   accelerationback      =  125
-   accelerationleftright =  125
-   accelerationupdown    =  125
+   accelerationfront     =  500
+   accelerationbrake     =  500
+   accelerationback      =  500
+   accelerationleftright =  500
+   accelerationupdown    =  0
   >
     <EffectContainer condition="not idle">